import boxContent from './boxContent';
let yzComponent = function (cfg) {
  this.parentDom = cfg.content;
  this.boxes = cfg.boxes || [];
  this.boxDom = [];
};

yzComponent.prototype.addComponent = function () {
  let box = new boxContent();
  box.renderToDom();
  this.parentDom.append(box.vdom);
  this.boxes.push(box);
};


//添加下划线
yzComponent.prototype.addUnderline = function() {

};

yzComponent.prototype.renderDom = function() {
  let len = this.boxes.length;
  for(let i = 0;i<len;i++){
    let box = new boxContent(this.boxes[i]);
    box.renderToDom();
    this.parentDom.append(box.vdom);
    this.boxes.push(box);
  }
};

yzComponent.prototype.getBoxes = function() {
  return JSON.stringify(this.boxes);
};

yzComponent.prototype.setContent = function (content)  {
  this.parentDom = content;
};

 export default yzComponent;